package capitulo05.bloque03.figuras;

public class Circulo extends Figura{
    private float radio;

    public Circulo() {
    }

    public Circulo(float radio) {
        this.radio = radio;
    }

    @Override
    public float calcularArea() {
        return (float) (radio * Math.pow(Math.PI, 2));
    }

    @Override
    public float calcularPerimetro() {
        return (float) (2 * Math.PI * radio);
    }

    public float getRadio() {
        return radio;
    }

    public void setRadio(float radio) {
        this.radio = radio;
    }

    @Override
    public String toString() {
        return "Circulo{" +
                "radio=" + radio +
                '}';
    }
}
